OpcodesProxy (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.common.util, class: OpcodesProxy

Package org.apache.cxf.common.util

# Class OpcodesProxy

java.lang.Object
org.apache.cxf.common.util.OpcodesProxy

public class OpcodesProxy extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `AALOAD`
  `int`
  `ACC_ABSTRACT`
  `int`
  `ACC_FINAL`
  `int`
  `ACC_INTERFACE`
  `int`
  `ACC_PRIVATE`
  `int`
  `ACC_PUBLIC`
  `int`
  `ACC_STATIC`
  `int`
  `ACC_SUPER`
  `int`
  `ACC_SYNTHETIC`
  `int`
  `ACONST_NULL`
  `int`
  `ALOAD`
  `int`
  `ANEWARRAY`
  `int`
  `ARETURN`
  `int`
  `ARRAYLENGTH`
  `int`
  `ASTORE`
  `int`
  `ATHROW`
  `int`
  `CHECKCAST`
  `int`
  `DCONST_0`
  `int`
  `DUP`
  `int`
  `F_APPEND`
  `int`
  `F_SAME`
  `int`
  `F_SAME1`
  `int`
  `FCONST_0`
  `int`
  `GETFIELD`
  `int`
  `GETSTATIC`
  `int`
  `GOTO`
  `int`
  `ICONST_0`
  `int`
  `ICONST_1`
  `int`
  `IF_ICMPLT`
  `int`
  `IFNONNULL`
  `int`
  `IFNULL`
  `int`
  `ILOAD`
  `Integer`
  `INTEGER`
  `int`
  `INVOKEINTERFACE`
  `int`
  `INVOKESPECIAL`
  `int`
  `INVOKESTATIC`
  `int`
  `INVOKEVIRTUAL`
  `int`
  `IRETURN`
  `int`
  `ISTORE`
  `int`
  `LCONST_0`
  `int`
  `NEW`
  `int`
  `POP`
  `int`
  `PUTFIELD`
  `int`
  `PUTSTATIC`
  `int`
  `RETURN`
  `int`
  `SIPUSH`
  `int`
  `V1_5`
  `int`
  `V1_6`
  `int`
  `V1_7`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpcodesProxy(ASMHelper helper)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ARETURN

    public int ARETURN

  - ### ALOAD

    public int ALOAD

  - ### IFNULL

    public int IFNULL

  - ### CHECKCAST

    public int CHECKCAST

  - ### INVOKEINTERFACE

    public int INVOKEINTERFACE

  - ### GETFIELD

    public int GETFIELD

  - ### GETSTATIC

    public int GETSTATIC

  - ### ASTORE

    public int ASTORE

  - ### PUTFIELD

    public int PUTFIELD

  - ### PUTSTATIC

    public int PUTSTATIC

  - ### RETURN

    public int RETURN

  - ### F_APPEND

    public int F_APPEND

  - ### F_SAME

    public int F_SAME

  - ### F_SAME1

    public int F_SAME1

  - ### INVOKESPECIAL

    public int INVOKESPECIAL

  - ### ACC_PUBLIC

    public int ACC_PUBLIC

  - ### ACC_FINAL

    public int ACC_FINAL

  - ### ACC_SUPER

    public int ACC_SUPER

  - ### ACC_PRIVATE

    public int ACC_PRIVATE

  - ### ACC_STATIC

    public int ACC_STATIC

  - ### V1_5

    public int V1_5

  - ### V1_6

    public int V1_6

  - ### V1_7

    public int V1_7

  - ### ACC_ABSTRACT

    public int ACC_ABSTRACT

  - ### ACC_INTERFACE

    public int ACC_INTERFACE

  - ### ACC_SYNTHETIC

    public int ACC_SYNTHETIC

  - ### ILOAD

    public int ILOAD

  - ### ISTORE

    public int ISTORE

  - ### AALOAD

    public int AALOAD

  - ### ARRAYLENGTH

    public int ARRAYLENGTH

  - ### IRETURN

    public int IRETURN

  - ### NEW

    public int NEW

  - ### ANEWARRAY

    public int ANEWARRAY

  - ### DUP

    public int DUP

  - ### ATHROW

    public int ATHROW

  - ### INVOKEVIRTUAL

    public int INVOKEVIRTUAL

  - ### GOTO

    public int GOTO

  - ### POP

    public int POP

  - ### ACONST_NULL

    public int ACONST_NULL

  - ### IFNONNULL

    public int IFNONNULL

  - ### SIPUSH

    public int SIPUSH

  - ### INVOKESTATIC

    public int INVOKESTATIC

  - ### ICONST_0

    public int ICONST_0

  - ### ICONST_1

    public int ICONST_1

  - ### LCONST_0

    public int LCONST_0

  - ### FCONST_0

    public int FCONST_0

  - ### DCONST_0

    public int DCONST_0

  - ### IF_ICMPLT

    public int IF_ICMPLT

  - ### INTEGER

    public Integer INTEGER

- ## Constructor Details

  - ### OpcodesProxy

    public OpcodesProxy(ASMHelper helper)